import { aabb3_matrix4_project } from "../../../../core/geom/3d/aabb/aabb3_matrix4_project.js";

/**
 *
 * @param {BvhClient} bvh
 * @param {AABB3} boundingBox
 * @param {Transform} transform
 */
export function updateNodeByTransformAndBBB(bvh, boundingBox, transform) {
    aabb3_matrix4_project(bvh.bounds, boundingBox, transform.matrix);

    bvh.write_bounds();
}

